﻿fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix TDS 1012C-SC: (1 year) VER VISA /5800A+5Ch
DATE:                  2011-01-18 10:14:43
AUTHOR:                Fluke
REVISION:              $Revision: 2624 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       225
CONFIGURATION:         Fluke 5800A (C5)
=============================================================================
#
#  Procedure Author:
#        DFM, DAC, VY, ZY
# 
#  Models covered:
#        TDS 1012C-SC
# 
#  Source(s):
#        TDS1000B and TDS2000B Series Digital Storage Oscilloscopes
#        Service Manual, PN 071-1828-00
# 
#        TDS1000B-SC Series Digital Storage Oscilloscopes
#        User Manual, PN 071-2592-01
# 
#  Compatibility:
#        MET/CAL 7.20 SP3 (7.20Z) or later
#
#  Subprocedures:
#        Sub Display Copyright
#        Sub Select Failed Test Mode
#        Sub High Voltage Safety Warning
#        Sub Select Verification Method (No NTHROW)
#        Sub IEEE-488.2 Identification Query Check Response
#        Sub IEEE-488.2 Identification Query VISA
#        Sub IEEE-488.2 Identification Query Parse Response
#        Sub Tek TDS1000B/2000B VER Required Equipment /5800
#        Sub Tek TDS1000B/2000B USB Remote Interface Connection
#        Sub Tek TDS1000B/2000B Specifications
#        Sub Tek TDS1000B/2000B Self-Test VISA
#        Sub Tek TDS1000B/2000B Sig Path Comp Cal VISA
#        Sub Tek TDS1000B/2000B Select Channel VISA
#        Sub Tek TDS1000B/2000B Trigger Chk and Level Adj VISA
#        Sub Tek TDS1000B/2000B (1 yr) DCV Meas VISA /5800
#        Sub Tek TDS1000B/2000B (1 yr) Bandwidth VISA /5800
#        Sub Tek TDS1000B/2000B (1 yr) Trig Sens VISA /5800
#        Sub Tek TDS1000B/2000B (1 yr) ExTrig Sens VISA /5800
#        Sub Tek TDS1000B/2000B (1 yr) Sample Rate VISA /5800
#        Sub Tek TDS1000B/2000B (1yr) Vertical Pos VISA /5800
#        Sub Tek TDS1000B/2000B Calculate Vertical Pos VISA
#
# Required Files:
#        None
#
#  Additional Equipment Required:
#        See "Sub Tek TDS1000B/2000B VER Required Equipment /5800"
# 
# The procedure was tested using:
#
#        Model No  :
#        Serial No :
#        Options   :
#        Firmware  :
#
# Average run time during testing :  26 min
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  M5800                                                    C5
  1.003  5800         100MH                        1Vpp           LS S6 S  L
  1.004  ENDIF

  1.005  ASK-   R   Q N              P                            A        V
# ASK+ K is required for measurement uncertainty.
  1.006  ASK+           K

  1.007  IF           NOT(VERSIONCHECK("7.20Z"))
  1.008  END
  1.009  ENDIF

  1.010  CALL         Sub Display Copyright
  1.011  CALL         Sub High Voltage Safety Warning

  1.012  HEAD         PRELIMINARY INSTRUCTIONS
  1.013  CALL         Sub Select Failed Test Mode
  1.014  CALL         Sub Select Verification Method (No NTHROW)

  1.015  DISP         Ensure a minimum UUT warm-up time of at least
  1.015  DISP         10 minutes has been allowed to elapse, prior
  1.015  DISP         to beginning verification.

  1.016  HEAD         COMMUNICATION SETUP
  1.017  TARGET
  1.018  CALL         Sub Tek TDS1000B/2000B USB Remote Interface Connection
  1.019  VISA         *RST;*OPC?[I!]

  1.020  HEAD         UUT IDENTIFICATION
  1.021  CALL         Sub IEEE-488.2 Identification Query VISA
  1.022  MATH         @UUT_Model = "TDS 1012C-SC"
  1.023  MATH         @UUT_Manufacturer = "Tektronix"
  1.024  CALL         Sub IEEE-488.2 Identification Query Check Response
  1.025  JMPL         END                          @Abort

  1.026  CALL         Sub Tek TDS1000B/2000B Specifications

# Specify whether the calibrator have multi channels during test in order
# to decide proper connection instruction be taken in the sub procedures.
  1.027  MATH         @SourceMultiCh = 1

  1.028  HEAD         EQUIPMENT REQUIREMENTS
  1.029  OPBR         -z Do you want to REVIEW the list of additional
  1.029  OPBR         equipment and/or accessories required?

  1.030  IF           MEM1
  1.031  CALL         Sub Tek TDS1000B/2000B VER Required Equipment /5800
  1.032  ENDIF

# NOTE: Throughout this procedure, JMPL/LABEL statements are used to
# minimize connection changes during execution. Test results, however,
# are reported in test number sequence.
#
#  Order  Results                            Run Time (Execution)
#  -----  -------------------------------    --------------------------------
#    1.   SELF TEST                          SELF TEST
#    2.   SIGNAL PATH COMPENSATION           SIGNAL PATH COMPENSATION
#    3.   DCV MEASUREMENT ACC(CH1)           DCV MEASUREMENT ACC(CH1)
#    4.   DCV MEASUREMENT ACC(CH2)           DCV MEASUREMENT ACC(CH2)
#    5.   BANDWIDTH(CH1)                     VERTICAL POSITION ACC(CH1)
#    6.   BANDWIDTH(CH2)                     VERTICAL POSITION ACC(CH2)
#    7.   EDGE-TRIGGER SENSITIVITY(CH1)      BANDWIDTH(CH1)
#    8.   EDGE-TRIGGER SENSITIVITY(CH2)      BANDWIDTH(CH2)
#    9.   EXT EDGE-TRIGGER SENSITIVITY(CH1)  EDGE-TRIGGER SENSITIVITY(CH1)
#   10.   EXT EDGE-TRIGGER SENSITIVITY(CH2)  EDGE-TRIGGER SENSITIVITY(CH2)
#   11.   SAMPLE RATE AND DELAY TIME ACC     SAMPLE RATE AND DELAY TIME ACC
#   12.   VERTICAL POSITION ACC(CH1)         EXT EDGE-TRIGGER SENSITIVITY(CH1)
#   13.   VERTICAL POSITION ACC(CH2)         EXT EDGE-TRIGGER SENSITIVITY(CH2)

  1.033  CALL         Sub Tek TDS1000B/2000B Self-Test VISA
  1.034  JMPL         END                          @Abort
  1.035  CALL         Sub Tek TDS1000B/2000B Sig Path Comp Cal VISA
  1.036  JMPL         END                          @Abort

  1.037  MATH         @Chan = 1
  1.038  M5800                                                    C1
  1.039  CALL         Sub Tek TDS1000B/2000B (1 yr) DCV MEAS VISA /5800

  1.040  MATH         @Chan = 2
  1.041  M5800                                                    C2
  1.042  CALL         Sub Tek TDS1000B/2000B (1 yr) DCV MEAS VISA /5800
  1.043  JMPL         VERTICAL_POSITION

  1.044  LABEL        BANDWIDTH
  1.045  MATH         @Chan = 1
  1.046  M5800                                                    C1
  1.047  CALL         Sub Tek TDS1000B/2000B (1 yr) BANDWIDTH VISA /5800

  1.048  MATH         @Chan = 2
  1.049  M5800                                                    C2
  1.050  CALL         Sub Tek TDS1000B/2000B (1 yr) BANDWIDTH VISA /5800

  1.051  MATH         @Chan = 1
  1.052  M5800                                                    C1
  1.053  CALL         Sub Tek TDS1000B/2000B (1 yr) TRIG SENS VISA /5800

  1.054  MATH         @Chan = 2
  1.055  M5800                                                    C2
  1.056  CALL         Sub Tek TDS1000B/2000B (1 yr) TRIG SENS VISA /5800
  1.057  JMPL         SAMPLE_RATE_DELAY_TIME

  1.058  LABEL        EXT_TRIG_CH1
  1.059  MATH         @Chan = 1
  1.060  M5800                                                    C1
  1.061  CALL         Sub Tek TDS1000B/2000B (1 yr) ExTrig Sens VISA /5800

  1.062  MATH         @Chan = 2
  1.063  M5800                                                    C1
  1.064  CALL         Sub Tek TDS1000B/2000B (1 yr) ExTrig Sens VISA /5800
  1.065  JMPL         END

  1.066  LABEL        SAMPLE_RATE_DELAY_TIME
  1.067  MATH         @Chan = 1
  1.068  M5800                                                    C1
  1.069  CALL         Sub Tek TDS1000B/2000B (1 yr) Sample Rate VISA /5800
  1.070  JMPL         EXT_TRIG_CH1

  1.071  LABEL        VERTICAL_POSITION
  1.072  MATH         @Chan = 1
  1.073  M5800                                                    C1
  1.074  CALL         Sub Tek TDS1000B/2000B (1yr) Vertical Pos VISA /5800

  1.075  MATH         @Chan = 2
  1.076  M5800                                                    C2
  1.077  CALL         Sub Tek TDS1000B/2000B (1yr) Vertical Pos VISA /5800
  1.078  JMPL         BANDWIDTH

  1.079  LABEL        END

  1.080  IF           @Abort
  1.081  HEAD         V E R I F I C A T I O N   A B O R T E D !
  1.082  ELSE
  1.083  HEAD         V E R I F I C A T I O N   C O M P L E T E
  1.084  ENDIF

  1.085  VISA         *RST;*OPC?[I!]
  1.086  END
